import Vue from 'vue'
import './plugins/axios'
import App from './App.vue'
import store from './store'
import router from './router'

import { Button, Popup, Toast, Dialog, Field, CellGroup, Cell, 
    ActionSheet, DatetimePicker, CountDown, Loading, 
    Overlay, Tab, Tabs, DropdownMenu, DropdownItem} from 'vant'

Vue.use(Button).use(Popup).use(Toast).use(Dialog).use(Field)
    .use(CellGroup).use(Cell).use(ActionSheet).use(DatetimePicker)
    .use(CountDown).use(Loading).use(Overlay).use(Tab).use(Tabs)
    .use(DropdownMenu).use(DropdownItem)
    
Vue.config.productionTip = false

new Vue({
  store,
  router,
  render: h => h(App)
}).$mount('#app')
